package com.company.runtimeemailprops;

import com.company.runtimeemailprops.entity.EmailAppSettings;
import io.jmix.appsettings.AppSettings;
import org.springframework.mail.javamail.JavaMailSenderImpl;

public class DatabaseMailSender extends JavaMailSenderImpl {
    private final AppSettings appSettings;

    public DatabaseMailSender(AppSettings appSettings) {
        this.appSettings = appSettings;

    }

    @Override
    public String getHost() {
        EmailAppSettings emailSettings = appSettings.load(EmailAppSettings.class);
        return emailSettings.getHost();
    }

    @Override
    public int getPort() {
        EmailAppSettings emailSettings = appSettings.load(EmailAppSettings.class);
        return Integer.parseInt(emailSettings.getPort());
    }

    @Override
    public String getUsername() {
        EmailAppSettings emailSettings = appSettings.load(EmailAppSettings.class);
        return emailSettings.getUsername();
    }

    @Override
    public String getPassword() {
        EmailAppSettings emailSettings = appSettings.load(EmailAppSettings.class);
        return emailSettings.getPassword();
    }
}